@import "assets/styles/variables";

body {
  background-color: #fff;
  font-size: 1rem !important;
}

.eui-menu-item__link, .eui-menu-item__label {
  text-transform: capitalize;
  font-weight: normal;
}

.eui-dropdown-content-wrapper {
  max-height: 15em;

  .eui-flag-icon {
    margin-right: .5em;
  }
}

.mat-menu-panel {
  min-height: 30px;
}

td span {
  cursor: pointer;
}

td.cs-col-w-70 {
  width: 70%;
}

td.cs-col-w-60 {
  width: 60%;
}

td.cs-col-w-50 {
  width: 50%;
}

td.cs-col-w-40 {
  width: 40%;
}

td.cs-col-w-30 {
  width: 30%;
}

td.cs-col-w-10 {
  width: 10%;
}

td.cs-col-w-20 {
  width: 20%;
}

td.cs-col-center {
  text-align: center;
}

td.cs-col-right {
  text-align: right;
}

.th-title {
  display: flex;
  align-items: center;
  height: 2em;
}

.err-message {
  color: var(--eui-base-color-danger-100);
}

.eui-table thead tr th.eui-table__sortable-col .eui-table__sortable-col-content {
  vertical-align: middle !important;
  white-space: nowrap !important;
  display: flex !important;
  align-items: center !important;
  justify-content: flex-start !important;
}

eui-autocomplete-option {
  background-color: var(--eui-base-color-white);
}

.eui-app-main {
  background-color: #ffffff !important;
}

.eui-table tbody tr td {
  min-height: 2.4rem !important;
}

@media (min-width: $deviceSizeS) {
  .eui-table tbody tr td {
    background-color: var(--eui-bc-neutral-0) !important;
  }
}

eui-date-range-selector > div .eui-button--secondary {
  background-color: var(--eui-base-color-white) !important;
}

// breadcrumbs component
div.eui-breadcrumb__items {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.cs-page-container {
  display: flex;
  flex-direction: column;
  padding: 0 5rem 2.5rem 5rem;
  background: linear-gradient(to bottom, var(--eui-bc-primary-10), var(--eui-bc-neutral-0));
  width: 100%;
}

.eui-breadcrumb-item {
  z-index: 0 !important;
}

eui-breadcrumb {
  .eui-u-text-link-standalone {
    color: var(--eui-c-branding) !important;
  }
}

app-layout {
  .eui-app-header, .eui-toolbar-menu {
    padding: 0 72px 0 72px;
  }
}

.sr-chip-grey-90 {
  background-color: var(--eui-c-neutral-light) !important;
  color: var(--eui-c-neutral-lightest) !important;
}

.sr-chip-outline-grey-90 {
  background-color: var(--eui-u-c-bg-neutral-bg-lightest) !important;
  border: 1px solid var(--eui-c-neutral-light) !important;
  color: var(--eui-c-neutral-light) !important;
}

eui-tree {
  min-width: 24rem !important;
}

app-sr-table,
app-assets-distributions-table,
app-versions-table,
app-transactions-table,
app-associations-table {
  .eui-table--hoverable tbody tr:hover td:hover {
    // isHoverable directive change
    background-color: var(--eui-table-hover-background-color) !important;
  }

  .eui-table--hoverable tbody tr:hover {
    background-color: var(--eui-table-hover-background-color) !important;
  }
}

app-versions-table {
  tbody > tr.sr-active-version-row > td:nth-child(1) {
    box-shadow: inset 6px 0px 0px 0px var(--eui-c-branding);
  }

  tbody > tr.sr-active-version-row > td {
    background-color: var(--eui-table-hover-background-color) !important;
  }
}

.eui-tree {
  max-height: 300px;
  overflow-y: auto;
}

.eui-table tbody tr {
  border-bottom: 1px solid var(--eui-c-neutral-bg);
}

.eui-toolbar {
  border: none;
  box-shadow: none;
}

app-home {
  a {
    color: var(--eui-c-branding);
  }
}
